Nini Library API Reference - http://nini.sourceforge.net/ |

# AliasText Members

AliasText overview

#### Public Instance Constructors

AliasText Constructor | Class constructor.

#### Public Instance Methods

AddAlias | Overloaded. Adds a new integer alias.
ContainsBoolean | Returns true if the Boolean value exists.
ContainsInt | Returns true if the integer value exists.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBoolean | Returns the alias value for a specified key.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetInt | Returns the int value of a config value.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

AliasText Class | Nini.Config Namespace